petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectGetTabLevel

Gets the number of tabs that ASCII output for that object use

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetTabLevel(PetscObject obj,PetscInt *tab)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetComm((PetscObject)mat,&comm);

### Output Parameter

tab -the number of tabs

Notes: this is used to manage the output from options that are imbedded in other objects. For example the KSP object inside a SNES object. By indenting each lower level further the heirarchy of objects is very clear.

### See Also

PetscObjectIncrementTabLevel()

Level:developer
Location:src/sys/objects/gcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages